> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-applications/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get all applications GET https://app.unleash-instance.example.com/api/admin/metrics/applications Returns all applications registered with Unleash. Applications can be created via metrics reporting or manual creation Reference: https://docs.getunleash.io/api/get-applications ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Query parameters - `query` (string, optional) — The search query for the application name - `offset` (string, optional) — The number of applications to skip when returning a page. By default it is set to 0. - `limit` (string, optional) — The number of applications to return in a page. By default it is set to 1000. - `sortBy` (string, optional) — The field to sort the results by. By default it is set to "appName". - `sortOrder` (string, optional) — The sort order for the sortBy. By default it is det to "asc". ## Response ### 200 applicationsSchema - `total` (integer, required) — The total number of project applications. - `applications` (list of applicationSchema, required) — The list of applications that have connected to this Unleash instance. ## Types ### applicationSchema Data about an application that's connected to Unleash via an SDK. - `appName` (string, required) — Name of the application - `sdkVersion` (string, optional) — Which SDK and version the application reporting uses. Typically represented as `:` - `strategies` (list of string, optional) — Which [strategies](https://docs.getunleash.io/concepts#activation-strategies) the application has loaded. Useful when trying to figure out if your [custom strategy](https://docs.getunleash.io/concepts/activation-strategies#custom-strategies) has been loaded in the SDK - `description` (string, optional) — Extra information added about the application reporting the metrics. Only present if added via the Unleash Admin interface - `url` (string, optional) — A link to reference the application reporting the metrics. Could for instance be a GitHub link to the repository of the application - `color` (string, optional) — The CSS color that is used to color the application's entry in the application list - `icon` (string, optional) — An URL to an icon file to be used for the applications's entry in the application list - `usage` (list of applicationUsageSchema, optional) — The list of projects the application has been using. ### applicationUsageSchema Data about an project that have been used by applications. - `project` (string, required) — Name of the project - `environments` (list of string, required) — Which environments have been accessed in this project. ## Examples **Response** ```json { "total": 50, "applications": [ { "appName": "accounting", "sdkVersion": "unleash-client-java:8.0.0", "strategies": [ "standard", "gradualRollout", "mySpecialCustomStrategy" ], "description": "Application for reporting page visits", "url": "https://github.com/Unleash/unleash-proxy-client-js", "color": "red", "icon": "https://github.com/favicon.ico", "usage": [ { "project": "main-project", "environments": [ "development", "production" ] } ] } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/applications" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/applications'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/applications" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/applications") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/applications") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/applications', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/applications"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/applications")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```